This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1471294 - Review Request: c-icap - HTTP proxy ICAP server
Review Request: c-icap - HTTP proxy ICAP server
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 18:46 EDT by Orion Poplawski
Modified: 2017-09-12 09:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2017-07-14 18:46:22 EDT
Spec URL: https://www.cora.nwra.com/~orion/fedora/c-icap.spec
SRPM URL: https://www.cora.nwra.com/~orion/fedora/c-icap-0.5.2-1.fc26.src.rpm

Description:
c-icap is an implementation of an ICAP server. It can be used with HTTP
proxies that support the ICAP protocol to implement content adaptation and
filtering services.

Most of the commercial HTTP proxies must support the ICAP protocol. The open
source Squid 3.x proxy server supports it.

Fedora Account System Username: orion

c-icap.x86_64: E: missing-call-to-setgroups /usr/bin/c-icap
- need to ping upstream about this

c-icap.x86_64: W: conffile-without-noreplace-flag /etc/c-icap.magic.default
c-icap.x86_64: W: conffile-without-noreplace-flag /etc/c-icap.conf.default
c-icap.x86_64: E: non-standard-dir-perm /var/run/c-icap 0775L
- These are intentional
Comment 1 Robert-André Mauchin 2017-09-12 09:49:36 EDT
The package builds, but some tests are failing, see the log of a Koji build: https://kojipkgs.fedoraproject.org//work/tasks/9688/21819688/build.log

Note You need to log in before you can comment on or make changes to this bug.